DPGETC(3NCARG)

NAME
DPGETC - Retrieves the current character value of an internal parameter.

SYNOPSIS
CALL DPGETC (PNAM,CVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_dpgetc (char *pnam, char *cval, int len)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) specifies the name of the parameter to get. The name must appear as the first three characters of the string. Other characters may be used to document the use of the parameter being retrieved; for example, instead of just 'CRB', one can use 'CRB - CHARACTER REPRESENTING BREAK'.

CVAL
    (an output variable of type CHARACTER) is the name of the variable into which the value of the internal parameter specified by PNAM is to be retrieved.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions with the following exception:

len The size of cval as dimensioned in the calling program.

USAGE
This routine allows you to retrieve the current value of Dashpack parameters. For a complete list of parameters available in this utility, see the dashpack_params man page.

ACCESS
To use DPGETC or c_dpgetc, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the dashpack man page for a description of all Dashpack error messages and/or informational messages.

SEE ALSO
Online: dashpack, dashpack_params, dpcurv, dpdraw, dpfrst, dpgeti, dpgetr, dplast, dpline, dpsetc, dpseti, dpsetr, dpsmth, dpvect, ncarg_cbind.

Hardcopy: None.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.